# === Class: ifort::params
#
class ifort::params {
  case $::osfamily {
    'Debian': {
      if $::operatingsystem == 'Debian' and versioncmp($::operatingsystemrelease, '7.0') >= 0 {

        ## Packages
        # Dependencies packages
        $dep_pkg_name               = [ 'rpm', 'build-essential' ]
        $dep_pkg_ensure             = 'present'  # Useless if use is_ifort instead
        $dep_pkg_manage             = true

        ## Archive
        # Compiler
        $ifort_pkg_url              = ''
        $ifort_pkg_path             = ''
        $ifort_install_tmp_path     = '/opt'
        $ifort_install_dir_name     = 'l_fcompxe_2015.2.164' # Directory name in the archive
        $ifort_install_script_name  = 'install.sh'

        ## Install
        # Silent
        $ifort_silent_file_path     = '/tmp/silent_ifort.cfg'
        $ifort_silent_file_tpl      = 'ifort/silent_install.cfg.erb'

        # Licence file
        $ifort_lic_file_path        = ''

        $ifort_bin_path             = '/opt/intel/bin/ifort'

      }
    }
  }



} # Private class ifort::params
